<!--
--
-- Form section
--
-->
<form *ngIf="!show_response" [formGroup]="inputForm" autocomplete="off" >
  <div class="center">
    <div class=" container">
      <h1>Hello </h1>
      <p>You want to know how many days are left for your birthday? </p>
      <hr>
      <div class="input-container">
        <label for="firstname"><b>Firstname</b>*</label>
        <input type="text" placeholder="firstname" (click)="show_form_errors.firstname = false" [ngClass]="{'error': show_form_errors.firstname && formCheck('firstname','any')}"  name="firstname" formControlName="firstname" id="firstname" required>
        <p *ngIf="show_form_errors.firstname && (formCheck('firstname','notBlank') || formCheck('firstname','required'))" class="error">This field is required</p>
        <p *ngIf="show_form_errors.firstname && formCheck('firstname','minLength')" class="error">Min length is 3</p>
        <p *ngIf="show_form_errors.firstname && formCheck('firstname','maxLength')" class="error">Max length is 60</p>
      </div>

      <div class="input-container">
        <label for="lastname"><b>Lastname</b>*</label>
        <input type="text" placeholder="lastname" (click)="show_form_errors.lastname = false" [ngClass]="{'error': show_form_errors.lastname && formCheck('lastname','any')}" name="lastname" formControlName="lastname" id="lastname" required>
        <p *ngIf="show_form_errors.lastname && (formCheck('lastname','notBlank') || formCheck('lastname','required'))" class="error">This field is required</p>
        <p *ngIf="show_form_errors.lastname && formCheck('lastname','minLength')" class="error">Min length is 3</p>
        <p *ngIf="show_form_errors.lastname && formCheck('lastname','maxLength')" class="error">Max length is 60</p>
      </div>

      <div class="input-container">
        <label for="birthdate"><b>Birthdate</b>*</label>
        <input readonly [minDate]="{year: 1900, month: 1, day: 1}" type="text" placeholder="dd-mm-yyyy" [maxDate]="{year: toNumber(now.format('YYYY')), month: toNumber(now.format('MM')), day: toNumber(now.format('DD'))}" ngbDatepicker #dp="ngbDatepicker" (click)="show_form_errors.birthdate = false; dp.toggle();" [ngClass]="{'error': show_form_errors.birthdate && formCheck('birthdate','any')}" name="birthdate" formControlName="birthdate" id="birthdate" required>
        <p *ngIf="show_form_errors.birthdate && formCheck('birthdate','dateDDMMYYYY')" class="error">Date need to be in format DD-MM-YYYY</p>
        <p *ngIf="show_form_errors.birthdate && formCheck('birthdate','dateMaxToday')" class="error">the max date its today</p>
      </div>

      <div *ngIf="errors !== undefined" class="box-error row">
        <div class="column left center">
          <i class="fas fa-exclamation-triangle"></i>
        </div>
        <div class="column right">
          <span><b>Something went wrong</b></span>
          <div [innerHTML]="errors"></div>
        </div>
      </div>

      <div class="center">
        <button *ngIf="!status_loading" class="sendbtn" (click)="submit()">Check</button>
        <button *ngIf="status_loading" class="sendbtn" >Loading <i class="fas fa-spinner fa-spin"></i></button>
      </div>
    </div>
  </div>
</form>

<!--
--
-- Response section (User Data and Poem)
--
-->
<div *ngIf="show_response" class="center">
  <div class=" container response">
    <h1>Hello {{ data.firstname }} {{ data.lastname }}</h1>
    <h4>Born in {{ data.birthdate }} age {{ data.age }}</h4>
    <h2 *ngIf="data.daysToNextBirthday !== undefined && data.daysToNextBirthday !== null && data.daysToNextBirthday > 0">Your birthday is in {{ data.daysToNextBirthday }} day{{ data.daysToNextBirthday > 1 ? 's' : '' }} </h2>
    <h2 *ngIf="data.daysToNextBirthday === undefined || data.daysToNextBirthday === null || data.daysToNextBirthday <= 0">{{ data.congratulation !== undefined && data.congratulation !== null && data.congratulation !== '' ? data.congratulation : default_congratulation }} </h2>
    <hr>
    <div class="center">
      <button class="sendbtn" (click)="cleanForm()"> Check another <i class="fas fa-undo"></i></button>
    </div>
    <div *ngIf="data.poem !== undefined && data.poem !== null" class="text-center">
      <div>
        <span class="title">
          <a href="{{ data.poem.url }}" target="_blank">{{ data.poem.title | titlecase }}</a>
        </span>
        <br>
        <span class="author">
          By <a href="{{ data.poem.poet.url }}" target="_blank">{{ data.poem.poet.name | titlecase }}</a>
        </span>
        <br>
      </div>
      <div class="content" [innerHTML]="data.poem.content | htmlBreaklines"></div>
    </div>
  </div>
</div>